# Uses of Annotation Interface
org.springframework.aot.hint.annotation.RegisterReflection

Packages that use RegisterReflection
Package
Description
org.springframework.aot.hint.annotation
Annotation support for runtime hints.

## Uses of RegisterReflection in org.springframework.aot.hint.annotation

Classes in org.springframework.aot.hint.annotation with annotations of type RegisterReflection
Modifier and Type
Class
Description
`@interface`
`RegisterReflectionForBinding`
Register reflection hints for data binding or reflection-based serialization against an arbitrary number of target classes.
Methods in org.springframework.aot.hint.annotation with parameters of type RegisterReflection
Modifier and Type
Method
Description
`protected RegisterReflectionReflectiveProcessor.ReflectionRegistration`
RegisterReflectionReflectiveProcessor.`parse(AnnotatedElement element, RegisterReflection annotation)`